From 5ed3ce4cc469e78b6932c67d01ddbcdb640b900d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=A9r=C3=A9my=20Bobbio?= <lunar@debian.org>
Date: Fri, 1 Jul 2011 12:24:55 +0200
Subject: [PATCH] Also update vala.stamp to avoid triggering Vala recompilation

---
 debian/changelog                     |    5 ++-
 debian/patches/01_fix_EOFError.patch |   37 +++++++++++++++++++--------------
 2 files changed, 24 insertions(+), 18 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 941816a..9cd211f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,9 @@
 deja-dup (14.2-1squeeze1) stable; urgency=low
 
   * Fix problem with GPG which makes restore impossible, as it now
-  fails with EOFError. Patch picked from upstream code, revision 728.
-  Thanks to Jérémy Bobbio for reporting and providing the patch (Closes: #624598)
+    fails with EOFError. Patch picked from upstream code, revision 728.
+    Thanks to Jérémy Bobbio for reporting and providing the patch.
+    (Closes: #624598)
 
  -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 23 May 2011 17:47:59 +0200
 
diff --git a/debian/patches/01_fix_EOFError.patch b/debian/patches/01_fix_EOFError.patch
index 96e9265..354cf46 100644
--- a/debian/patches/01_fix_EOFError.patch
+++ b/debian/patches/01_fix_EOFError.patch
@@ -1,3 +1,19 @@
+diff -Nur -x '*.orig' -x '*~' deja-dup//common/DuplicityInstance.vala deja-dup.new//common/DuplicityInstance.vala
+--- deja-dup//common/DuplicityInstance.vala	2011-05-23 17:47:12.758635598 +0200
++++ deja-dup.new//common/DuplicityInstance.vala	2011-05-24 23:34:21.516970593 +0200
+@@ -149,6 +149,12 @@
+         
+         // We have to wrap all current args into one string.
+         StringBuilder args = new StringBuilder();
++
++        // Set environment variables for subprocess here because sudo reserves
++        // the right to strip them.
++        foreach (string env in envp_in)
++          args.append("export %s\n".printf(env));
++
+         foreach(string a in argv) {
+           if (a == null)
+             break;
 diff -Nur -x '*.orig' -x '*~' deja-dup//common/DuplicityInstance.c deja-dup.new//common/DuplicityInstance.c
 --- deja-dup//common/DuplicityInstance.c	2011-05-23 17:47:12.758635598 +0200
 +++ deja-dup.new//common/DuplicityInstance.c	2011-05-24 23:34:21.516970593 +0200
@@ -201,19 +217,8 @@ diff -Nur -x '*.orig' -x '*~' deja-dup//common/DuplicityInstance.c deja-dup.new/
  				_g_error_free0 (e);
  			}
  		}
-diff -Nur -x '*.orig' -x '*~' deja-dup//common/DuplicityInstance.vala deja-dup.new//common/DuplicityInstance.vala
---- deja-dup//common/DuplicityInstance.vala	2011-05-23 17:47:12.758635598 +0200
-+++ deja-dup.new//common/DuplicityInstance.vala	2011-05-24 23:34:21.516970593 +0200
-@@ -149,6 +149,12 @@
-         
-         // We have to wrap all current args into one string.
-         StringBuilder args = new StringBuilder();
-+
-+        // Set environment variables for subprocess here because sudo reserves
-+        // the right to strip them.
-+        foreach (string env in envp_in)
-+          args.append("export %s\n".printf(env));
-+
-         foreach(string a in argv) {
-           if (a == null)
-             break;
+diff -Nur -x '*.orig' -x '*~' deja-dup//common/vala.stamp deja-dup.new//common/vala.stamp
+--- deja-dup//common/vala.stamp	2011-05-23 17:47:12.758635598 +0200
++++ deja-dup.new//common/vala.stamp	2011-05-24 23:34:21.516970593 +0200
+@@ -0,0 +1 @@
++update
-- 
1.7.2.5

